Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 923450 - sys-block/targetcli-fb-2.1.54 installs deprecated .egg/.egg-info
Summary: sys-block/targetcli-fb-2.1.54 installs deprecated .egg/.egg-info
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: 921639
  Show dependency tree
 
Reported: 2024-02-01 08:02 UTC by Agostino Sarubbo
Modified: 2024-06-06 06:47 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,57.83 KB, text/plain)
2024-02-01 08:02 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2024-02-01 08:02:44 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: sys-block/targetcli-fb-2.1.54 installs deprecated .egg/.egg-info.
Discovered on: amd64 (internal ref: gcc14_tinderbox)
System: GCC-14-SYSTEM (https://wiki.gentoo.org/wiki/Project:Tinderbox/Common_Issues_Helper#GCC-14)

Info about the issue:
https://wiki.gentoo.org/wiki/Project:Tinderbox/Common_Issues_Helper#QA0076
Comment 1 Agostino Sarubbo gentoo-dev 2024-02-01 08:02:46 UTC
Created attachment 883901 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2024-06-06 06:47:44 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=915aff281427492b1545a1eed96fcd61802bbb93

commit 915aff281427492b1545a1eed96fcd61802bbb93
Author:     Alfred Wingate <parona@protonmail.com>
AuthorDate: 2024-06-03 19:57:36 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2024-06-06 06:44:36 +0000

    sys-block/targetcli-fb: add 2.1.58
    
    Closes: https://bugs.gentoo.org/923450
    Closes: https://bugs.gentoo.org/910037
    Signed-off-by: Alfred Wingate <parona@protonmail.com>
    Closes: https://github.com/gentoo/gentoo/pull/37008
    Signed-off-by: Sam James <sam@gentoo.org>

 sys-block/targetcli-fb/Manifest                   |  1 +
 sys-block/targetcli-fb/targetcli-fb-2.1.58.ebuild | 30 +++++++++++++++++++++++
 2 files changed, 31 insertions(+)